pkgname=readline
pkgver=6.2
pkgrel=1
arch=('x86_64')
source=(http://ftp.gnu.org/gnu/readline/readline-${pkgver}.tar.gz
        http://www.linuxfromscratch.org/patches/lfs/7.3/readline-${pkgver}-fixes-1.patch)
md5sums=('67948acb2ca081f23359d0256e9a271c'
         '3c185f7b76001d3d0af614f6f2cd5dfa')

prepare() {
        cd ${srcdir}/${pkgname}-${pkgver}
        sed -i '/MV.*old/d' Makefile.in
        sed -i '/{OLDSUFF}/c:' support/shlib-install
        patch -Np1 -i ${srcdir}/readline-${pkgver}-fixes-1.patch
}

build() {
        cd ${srcdir}/${pkgname}-${pkgver}
        ./configure --prefix=/usr --libdir=/lib
	make SHLIB_LIBS=-lncurses
}

package() {
	cd ${srcdir}/${pkgname}-${pkgver}
	make DESTDIR=${pkgdir} install
        mkdir -p ${pkgdir}/usr/lib
        mkdir -p ${pkgdir}/usr/share/doc/readline-${pkgver}
        mv ${pkgdir}/lib/lib{readline,history}.a ${pkgdir}/usr/lib
        rm ${pkgdir}/lib/lib{readline,history}.so
        ln -sf ${pkgdir}/lib/libreadline.so.6 ${pkgdir}/usr/lib/libreadline.so
        ln -sf ${pkgdir}/lib/libhistory.so.6 ${pkgdir}/usr/lib/libhistory.so
        install -m644 doc/*.{ps,pdf,html,dvi} \
                        ${pkgdir}/usr/share/doc/readline-${pkgver}
}
